Subject: bug#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist

From: Mauro Aranda <[email-masked]>
Date: Sun, 10 Sep 2023 09:41:27 -0300

On 10/9/23 07:43, Eli Zaretskii wrote:
 >> Date: Sun, 10 Sep 2023 06:49:29 -0300
 >> Cc: [email-masked]
 >> From: Mauro Aranda <[email-masked]>
 >>
 >> On 10/9/23 02:01, Eli Zaretskii wrote:
 >>  > Could you please profile this slow operation and post the completely
 >>  > unfolded profile?  I think we should try to understand what exactly
 >>  > takes so much time in this case.
 >>
 >> Here it is.  I also attach the result of C-x C-w in the report buffer,
 >> just in case.
 >
 > So the hot spot seems to be widget-checklist-add-item, is that right?

I think so.  The checklist widgets were my first suspects, since
creating them is rather slow.

 > And inside that widget-create-child and widget-apply?

I don't think those functions could be the bottleneck.  Most likely it
is the widget-default-create function that those functions end up
calling.  So yes, widget-default-create in general, and
widget-checklist-value-create in particular should be investigated for
speeding them up, but I don't have any ideas at the moment.